using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class Button_Pop_Up_Handler : MonoBehaviour
{

    [SerializeField]
    Button Pick_Up_Button;

    [SerializeField]
    Button Drop_Button;

    void Start()
    {
        Pick_Up_Button.onClick.AddListener(placeholder);
        Drop_Button.onClick.AddListener(placeholder);

        Pick_Up_Button.gameObject.SetActive(false);
        Drop_Button.gameObject.SetActive(false);
    }



    void OnTriggerEnter(Collider other)
    {
        Pick_Up_Button.gameObject.SetActive(true);
        Drop_Button.gameObject.SetActive(true);
    }

    void OnTriggerExit(Collider other)
    {
        Pick_Up_Button.gameObject.SetActive(false);
        Drop_Button.gameObject.SetActive(false);
    }

    public void placeholder()
    { Debug.Log("Clicked a Button!"); }



    void Update()
    {
        
    }

}
